---
id: 5dc17d3bf86c76b9248c6eb4
title: Step 3
challengeType: 0
dashedName: step-3
---

# --description--

Create a `p` element below your `h2` element and give it the following text:

`Everyone loves cute cats online!`

# --hints--

Your `p` element should have an opening tag. Opening tags have the following syntax: `<elementName>`.

```js
assert.exists(document.querySelector('p'));
```

Your `p` tags should be in lowercase. By convention, all HTML tags are written in lowercase.

```js
assert.notMatch(code, /<\/?P>/);
```

Your `p` element should have a closing tag. Closing tags have a `/` just after the `<` character.

```js
assert.match(code, /<\/p\>/);
```

Your `p` element's text should be `Everyone loves cute cats online!` You have either omitted the text or have a typo.

```js
const extraSpacesRemoved = document
  .querySelector('p')
  ?.innerText.replace(/\s+/g, ' ');
assert.match(extraSpacesRemoved, /everyone loves cute cats online!$/i);
```

Your `p` element should be below the `h2` element. You have them in the wrong order.

```js
const collection = [...document.querySelectorAll('h2,p')].map(
  (node) => node.nodeName
);
assert.isBelow(collection.indexOf('H2'), collection.indexOf('P'));
```

# --seed--

## --seed-contents--

```html
<html>
  <body>
    <h1>CatPhotoApp</h1>
--fcc-editable-region--
    <h2>Cat Photos</h2>
    
--fcc-editable-region--
  </body>
</html>
```
